Package weka.experiment

# Class RemoteEngine

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
weka.experiment.RemoteEngine

All Implemented Interfaces:
  `Serializable`, `Remote`, `RevisionHandler`, `Compute`

public class RemoteEngine extends UnicastRemoteObject implements Compute, RevisionHandler
A general purpose server for executing Task objects sent via RMI.

Version:
  $Revision: 1.12 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RemoteEngine(String hostName)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`Object`
`checkStatus(Object taskId)`
Returns status information on a particular task
`Object`
`executeTask(Task t)`
Takes a task object and queues it for execution
`String`
`getRevision()`
Returns the revision string.
`static void`
`main(String[] args)`
Main method.

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RemoteEngine

public RemoteEngine(String hostName) throws RemoteException
Constructor

Parameters:
  `hostName` - name of the host
Throws:
  `RemoteException` - if something goes wrong

## Method Details

### executeTask

public Object executeTask(Task t) throws RemoteException
Takes a task object and queues it for execution

Specified by:
  `executeTask` in interface `Compute`
Parameters:
  `t` - the Task object to execute
Returns:
  an identifier for the Task that can be used when querying Task status
Throws:
  `RemoteException` - if something goes wrong.

### checkStatus

public Object checkStatus(Object taskId) throws Exception
Returns status information on a particular task

Specified by:
  `checkStatus` in interface `Compute`
Parameters:
  `taskId` - the ID of the task to check
Returns:
  a `TaskStatusInfo` encapsulating task status info
Throws:
  `Exception` - if an error occurs

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision

### main

public static void main(String[] args)
Main method. Gets address of the local host, creates a remote engine object and binds it in the RMI registry. If there is no RMI registry, then it tries to create one with default port 1099.

Parameters:
  `args` -